de.esprit.common.type

## Enum OsType

- java.lang.Object
- - java.lang.Enum<OsType>
  - - de.esprit.common.type.OsType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OsType>

      public enum OsType
      extends java.lang.Enum<OsType>

  This class defines all supported OS-Types
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` used to specify: not platform-specific
    `MAC_OS`
    `UNIX_HP`
    `UNIX_IRIX`
    `UNIX_LINUX`
    `UNIX_SOLARIS`
    `UNKNOWN` used to specify: i do not know (and not support) this OS
    `WINDOWS_7`
    `WINDOWS_VISTA`
    `WINDOWS_XP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OsType` | `fromString(java.lang.String osName)`
    `OsFamily` | `getOsFamily()`
    `java.lang.String` | `getOsName()`
    `boolean` | `isIrix()`
    `boolean` | `isLinux()`
    `boolean` | `isMac()`
    `boolean` | `isSolaris()`
    `boolean` | `isSupported()`
    `boolean` | `isUnix()`
    `boolean` | `isWindows()`
    `static OsType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final OsType ALL

      used to specify: not platform-specific

    - #### UNKNOWN

          public static final OsType UNKNOWN

      used to specify: i do not know (and not support) this OS

    - #### WINDOWS_XP

          public static final OsType WINDOWS_XP

    - #### WINDOWS_VISTA

          public static final OsType WINDOWS_VISTA

    - #### WINDOWS_7

          public static final OsType WINDOWS_7

    - #### UNIX_LINUX

          public static final OsType UNIX_LINUX

    - #### UNIX_IRIX

          public static final OsType UNIX_IRIX

    - #### UNIX_SOLARIS

          public static final OsType UNIX_SOLARIS

    - #### MAC_OS

          public static final OsType MAC_OS

    - #### UNIX_HP

          public static final OsType UNIX_HP

  - ### Method Detail

    - #### values

          public static OsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OsType c : OsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OsType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getOsName

          public java.lang.String getOsName()

    - #### getOsFamily

          public OsFamily getOsFamily()

    - #### isLinux

          public boolean isLinux()

    - #### isWindows

          public boolean isWindows()

    - #### isUnix

          public boolean isUnix()

    - #### isSolaris

          public boolean isSolaris()

    - #### isIrix

          public boolean isIrix()

    - #### isMac

          public boolean isMac()

    - #### isSupported

          public boolean isSupported()

    - #### fromString

          public static OsType fromString(java.lang.String osName)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.